CURLOPT_SSLENGINE_DEFAULT(3)

NAME
CURLOPT_SSLENGINE_DEFAULT - make SSL engine default

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSLENGINE_DEFAULT, long val);

DESCRIPTION
Pass a long set to 1 as parameter. Sets the actual crypto engine as the default for (asymmetric) crypto operations.

If the crypto device cannot be set, CURLE_SSL_ENGINE_SETFAILED is returned.

DEFAULT
None

PROTOCOLS
All TLS based protocols: HTTPS, FTPS, IMAPS, POP3, SMTPS etc.

EXAMPLE
TODO

AVAILABILITY
If built TLS enabled.

RETURN VALUE
Returns CURLE_OK if TLS is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_SSLENGINE(3), CURLOPT_SSLCERT(3),